
Foreman - Bug #35466

Change puppetlabs_repo snippet to reference puppet-release files from repo root directory

08/31/2022 01:00 PM - Matt Darcy

Status: Closed   

Priority: Normal   

Assignee: Matt Darcy   

Category: Unattended installations   

Target version: 3.4.1   

Difficulty: trivial Fixed in Releases: 3.4.1, 3.5.0

Triaged: Yes Found in Releases: 3.3.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9396,

https://github.com/theforeman/foreman/p

ull/9417,

https://github.com/theforeman/foreman/p

ull/9486

  

Description

with the release of RedHat 9 - puppet appears to have stopped publishing puppet-release files to the /puppet pf the yum.puppet.com

repo.

it appears that referencing yum.puppet.com/puppet/ was the incorrect path to pull the release files from in the long term.

This is currently a breaking problem for EL9 based install.

refactor puppetlabs_repo snippet to reference the root directory of yum.puppet.com

Related issues:

Has duplicate Foreman - Feature #35731: support puppetlabs yumrepo setup on EL9 Duplicate

Associated revisions

Revision 50cb00e7 - 09/21/2022 04:50 PM - Matt Darcy

Fixes #35466 - Correct repo location of puppet-release files

History

#1 - 08/31/2022 02:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9396 added

#2 - 08/31/2022 03:51 PM - Matt Darcy

- Assignee set to Matt Darcy

#3 - 09/09/2022 09:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9417 added

#4 - 09/21/2022 04:50 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#5 - 09/21/2022 05:01 PM - Matt Darcy

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|50cb00e795d06a6de911a2c199722966525b577a.

#6 - 10/27/2022 12:16 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Refactor to Bug

05/18/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/50cb00e795d06a6de911a2c199722966525b577a


- Target version set to 3.4.1

Changing to a bug since it was reportedly broken for EL9: https://community.theforeman.org/t/puppet-6-for-el9-availability/31019. Also suggesting a

3.4.1 cherry pick.

#7 - 10/27/2022 12:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9486 added

#8 - 10/28/2022 10:57 AM - The Foreman Bot

- Fixed in Releases 3.4.1 added

#9 - 11/08/2022 04:26 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #35731: support puppetlabs yumrepo setup on EL9 added

#10 - 11/28/2022 12:25 PM - Ewoud Kohl van Wijngaarden

- Category changed from Templates to Unattended installations

- Triaged changed from No to Yes
